/* Product section text/media positioning. */
.section-content-details.section-content-details--text-right .section__container {
    grid-template-columns: 52% 48%;
}

.section-content-details.section-content-details--text-right .section__content {
    padding-inline: 50px 70px;
    order: 2;
}

.section-content-details.section-content-details--text-right .section__aside {
    order: 1;
}

.section-content-details-2.section-content-details--text-right .section__container {
    grid-template-columns: 52% 48%;
}

.section-content-details-2.section-content-details--text-right .section__content {
    padding: 46px 0 0 93px;
    order: 2;
}

.section-content-details-2.section-content-details--text-right .section__aside {
    order: 1;
}

.section-video-text.section-video-text--text-left .section__container {
    grid-template-columns: 42.5% 57.5%;
}

.section-video-text.section-video-text--text-left .section__text {
    padding: 0 75px 0 0;
    order: -1;
    min-width: 0;
}

@media (max-width: 1399px) {
    .section-content-details.section-content-details--text-right .section__content,
    .section-content-details-2.section-content-details--text-right .section__content {
        padding-inline: 50px 0;
    }
}

@media (max-width: 1023px) {
    .section-content-details-2.section-content-details--text-right .section__container,
    .section-video-text.section-video-text--text-left .section__container {
        grid-template-columns: repeat(1, 1fr);
    }

    .section-content-details-2.section-content-details--text-right .section__content {
        padding: 0;
        order: -1;
    }

    .section-content-details-2.section-content-details--text-right .section__aside {
        order: 2;
    }

    .section-video-text.section-video-text--text-left .section__text {
        padding: 0;
    }
}

@media (max-width: 767px), screen and (max-width: 812px) and (orientation: landscape) {
    .section-content-details .section__content,
    .section-content-details-2 .section__content {
        padding: 0;
        order: -1;
    }

    .section-content-details.section-content-details--text-right .section__container {
        grid-template-columns: repeat(1, 1fr);
    }

    .section-content-details.section-content-details--text-right .section__content {
        padding: 0;
        order: -1;
    }

    .section-content-details.section-content-details--text-right .section__aside {
        order: 2;
    }
}
